# cFragmentHeader Struct Reference

List of all members.

## Public Attributes

DWORD | m_dwSequence
DWORD | m_dwObjectID
| Sequence/ID - Identifier used to match fragmented messages together.
WORD | m_wFragmentCount
| Flags - Bitmask with an unknown purpose. Always 0x80000000?
WORD | m_wFragmentLength
| Count - The number of fragments required to complete this message.
WORD | m_wFragmentIndex
| Size - Number of bytes in this fragment, including the fragment header.
WORD | m_wFragmentGroup
| Index - Fragment index. Used to order the message data from the fragment.

The documentation for this struct was generated from the following file:

- E:/uas2/Server/Shared.h